<%--
/*******************************************************************************
 * This file is part of OpenNMS(R).
 *
 * Copyright (C) 2006-2011 The OpenNMS Group, Inc.
 * OpenNMS(R) is Copyright (C) 1999-2011 The OpenNMS Group, Inc.
 *
 * OpenNMS(R) is a registered trademark of The OpenNMS Group, Inc.
 *
 * OpenNMS(R) is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * OpenNMS(R) is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OpenNMS(R).  If not, see:
 *      http://www.gnu.org/licenses/
 *
 * For more information contact:
 *     OpenNMS(R) Licensing <license@opennms.org>
 *     http://www.opennms.org/
 *     http://www.opennms.com/
 *******************************************************************************/

--%>

<%@page language="java"
	contentType="text/html"
	session="true"
	import="java.util.*,
		org.opennms.web.api.Util,
		org.opennms.web.vulnerability.*,
		org.opennms.web.vulnerability.filter.Filter,
		org.opennms.web.XssRequestWrapper,
		org.opennms.web.WebSecurityUtils
	"
%>

<%
	XssRequestWrapper req = new XssRequestWrapper(request);

    //required attribute parms
    VulnerabilityQueryParms parms = (VulnerabilityQueryParms)req.getAttribute( "parms" );

    if( parms == null ) {
        throw new ServletException( "Missing the vulnerability parms request attribute." );
    }

    int length = parms.filters.size();    
%>

<!-- acknowledged/outstanding row -->
<form action="vulnerability/list" method="get" name="vul_search_constraints_box_restype_form">
  <%=Util.makeHiddenTags(req, new String[] {"restype"})%>
  <p>
    
    Vulnerability type:
    <select name="restype" size="1" onChange="javascript: document.vul_search_constraints_box_restype_form.submit()">
      <option value="<%=VulnerabilityUtil.getResolutionTypeString(VulnerabilityFactory.ResolutionType.OPEN)%>" <%=(parms.resType == VulnerabilityFactory.ResolutionType.OPEN) ? "selected=\"1\"" : ""%>>
        Open
      </option>
      
      <option value="<%=VulnerabilityUtil.getResolutionTypeString(VulnerabilityFactory.ResolutionType.RESOLVED)%>" <%=(parms.resType == VulnerabilityFactory.ResolutionType.RESOLVED) ? "selected=\"1\"" : ""%>>
        Resolved
      </option>
      
      <option value="<%=VulnerabilityUtil.getResolutionTypeString(VulnerabilityFactory.ResolutionType.BOTH)%>" <%=(parms.resType == VulnerabilityFactory.ResolutionType.BOTH) ? "selected=\"1\"" : ""%>>
        Both Open &amp; Resolved
      </option>
    </select>        
  </p>
</form>
  
<% if( length > 0 ) { %>
    <ol>
      <% for(int i=0; i < length; i++) { %>
        <% Filter filter = (Filter)parms.filters.get(i); %> 
        
        <li>
          <%= WebSecurityUtils.sanitizeString(filter.getTextDescription())%>
          <a href="<%=VulnerabilityUtil.makeLink( req, parms, filter, false)%>">Remove</a>
        </li>                    
      <% } %>
    </ol>
<% } %>  

